using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Inject;

[ComImport]
[Guid("5D6B8A1B-321A-479F-9347-55725BDA3DA9")]
[InterfaceType(1)]
[SuppressUnmanagedCodeSecurity]
public interface ILayerTimer
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	bool TimerTimeout(int nID, int nInterval, int nReps);
}
